Bug 441070 - [enh] store WEP and WPA passphrases too
[enh] store WEP and WPA passphrases too
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 447213 509367 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 15:21 EDT by Dan Winship
Modified: 2009-11-12 02:44 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.7.1-8.git20090708.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2008-04-05 15:21:06 EDT
iwl3945, WPA-encrypted network

Sometimes, NM is unable to reauthenticate to my network upon resuming from
sleep, (presumably?) because of stupid driver bugs that aren't its fault.

It used to be that when this happened, it would ask for the password again, and
the password field in the dialog would be empty. (Or maybe it would start with
"No encryption" selected, and I'd have to pick WPA first before I even got a
password dialog? I don't remember.)

Now though, it selects WPA correctly, and the password field is pre-filled-in,
but instead of being filled in with the right password, it's filled in with a
giant hex string, which NM isn't even willing to accept (the "Connect" button is
disabled).
Comment 1 Dan Williams 2008-04-08 13:04:43 EDT
It's not bogus, it's the WPA hex PSK, which is pulled from the keyring...  It's
what you'd get if you hashed the SSID and passphrase together with
wpa_passphrase.  The applet actually doesn't record the passphrase, but hashes
it immediately into the form required for NetworkManager.

It's likely a bug that the connect button isn't enabled though, I'll have to
poke at that.  In the longer term, the applet should probably store the
passphrase along with the hashed key and show that in the dialog instead.
Comment 2 Bug Zapper 2008-05-14 04:57:15 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dan Winship 2009-02-02 10:24:22 EST
(In reply to comment #1)
> It's likely a bug that the connect button isn't enabled though, I'll have to
> poke at that.  In the longer term, the applet should probably store the
> passphrase along with the hashed key and show that in the dialog instead.

As mentioned in passing when I was in Westford, the Connect button works now, although it's still possibly confusing that it presents the user with the hex key instead of the passphrase.
Comment 4 Dan Williams 2009-02-04 19:33:30 EST
*** Bug 447213 has been marked as a duplicate of this bug. ***
Comment 5 Jessica Sterling 2009-03-05 10:34:44 EST
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Dan Williams 2009-05-09 23:17:25 EDT
fixed upstream:

NM:

f3c9887472ef6d773aeabd0bb7fcf102cf725398 (0.7.x)
07cc26d5fc3df0ed47b4bb993ce9a0d4f0008876 (master)

applet:

1009da18d3e8fb9a86a01b43d27bd5cfc3a46336 (0.7.x)
d9c45bfcf9db522c1724097341016cfca4e2fb78 (master)
Comment 7 Bug Zapper 2009-06-09 20:00:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2009-06-19 09:44:38 EDT
wpa_supplicant-0.6.8-4.fc11, NetworkManager-0.7.1-5.git20090617.fc11, mobile-broadband-provider-info-0.20090602-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wpa_supplicant NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6769
Comment 9 Fedora Update System 2009-06-26 22:41:42 EDT
wpa_supplicant-0.6.8-4.fc11, NetworkManager-0.7.1-5.git20090617.fc11, mobile-broadband-provider-info-0.20090602-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wpa_supplicant NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6769
Comment 10 Fedora Update System 2009-07-02 01:43:56 EDT
wpa_supplicant-0.6.8-4.fc11, mobile-broadband-provider-info-0.20090602-2.fc11, NetworkManager-0.7.1-6.git20090617.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wpa_supplicant mobile-broadband-provider-info NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6769
Comment 11 Bug Zapper 2009-07-15 04:23:03 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Fedora Update System 2009-07-24 15:44:32 EDT
NetworkManager-0.7.1-8.git20090708.fc11, mobile-broadband-provider-info-1.20090707-1.fc11, wpa_supplicant-0.6.8-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Dan Williams 2009-11-12 02:44:40 EST
*** Bug 509367 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.